Graph API-Version

Ad Set Adcreatives

Wird gelesen

Beispiel

Graph API Explorer
GET /v26.0/{ad-set-id}/adcreatives HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{ad-set-id}/adcreatives',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{ad-set-id}/adcreatives",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{ad-set-id}/adcreatives",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{ad-set-id}/adcreatives"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Weitere Informationen zur Verwendung der Graph API findest du in unserem Graph API-Leitfaden.

Parameter

Dieser Endpunkt hat keine Parameter.

Felder

Beim Lesen dieses Edge wird ein Ergebnis im JSON-Format ausgegeben:

{ "data": [], "paging": {}, "summary": {} }

data

Eine Liste von AdCreative-Nodes.

paging

Weitere Informationen zur Paginierung findest du im Graph API-Leitfaden.

summary

Gesammelte Informationen zum Edge (z. B. Aufrufe). Gib im Parameter „summary“ an, welche Felder einbezogen werden sollen (z. B. summary=total_count).

FeldBeschreibung
total_count
int32

Total number of creatives returned by the query

Error Codes

FehlerBeschreibung
80004There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting#ads-management.
100Invalid parameter
200Permissions error

Wird erstellt

Diese Handlung kann auf diesem Endpunkt nicht durchgeführt werden.

Wird aktualisiert

Diese Handlung kann auf diesem Endpunkt nicht durchgeführt werden.

Wird gelöscht

Diese Handlung kann auf diesem Endpunkt nicht durchgeführt werden.